package com.zj365.health.act.familyhealth

import android.graphics.Rect
import android.view.View
import androidx.recyclerview.widget.DividerItemDecoration
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.base.act.BaseVmAct
import com.xty.base.vm.BaseVm
import com.xty.common.arouter.ARouterUrl
import com.zj365.health.R
import com.zj365.health.adapter.familyhealth.FamilyHealthRealTimeAdapter
import com.zj365.health.databinding.ActFamilyHealthRealTimeBinding

/**
 * 家人健康-实时
 */
@Route(path = ARouterUrl.FAMILY_HEALTH_REAL_TIME_ACT)
class FamilyHealthRealTimeAct : BaseVmAct<BaseVm>() {

    val binding by  lazy { ActFamilyHealthRealTimeBinding.inflate(layoutInflater) }

    val mAdapter by lazy { FamilyHealthRealTimeAdapter() }
    override fun liveObserver() {

    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text ="实时详情"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }
        initAdapter()
    }

    fun initAdapter(){
        binding.recycler.layoutManager = LinearLayoutManager(this)
        binding.recycler.adapter = mAdapter
        var dividerItemDecoration = DividerItemDecoration(this, DividerItemDecoration.VERTICAL)
        dividerItemDecoration.setDrawable(resources.getDrawable(R.drawable.shape_ebf_0_5))
        binding.recycler.addItemDecoration(dividerItemDecoration)
        mAdapter.addChildClickViewIds(R.id.tv_real_time_mearsure)

    }

    override fun setLayout() = binding.root
}